FLANG

Public Member Functions | Friends | List of all members
Fortran::semantics::EntityDetails Class Reference
Inheritance diagram for Fortran::semantics::EntityDetails:

## Public Member Functions
| EntityDetails (bool isDummy=false)
const DeclTypeSpec * | type () const
void | set_type (const DeclTypeSpec &)
void | ReplaceType (const DeclTypeSpec &)
bool | isDummy () const
void | set_isDummy (bool value=true)
bool | isFuncResult () const
void | set_funcResult (bool x)
MaybeExpr | bindName () const
void | set_bindName (MaybeExpr &&expr)

## Friends
llvm::raw_ostream & | operator<< (llvm::raw_ostream &, const EntityDetails &)

The documentation for this class was generated from the following files:

- include/flang/Semantics/symbol.h
- lib/Semantics/symbol.cpp